Get License by ID
curl --request GET \
--url https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licenseKey": "<string>",
"suspended": true,
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"ipLimit": 1,
"hwidLimit": 2,
"expirationDate": "2023-11-07T05:31:56Z",
"expirationDays": 2,
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
],
"lastActiveAt": "2023-11-07T05:31:56Z",
"customers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"fullName": "<string>",
"username": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
],
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postalCode": "<string>"
},
"discordAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discordId": "<string>",
"username": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatar": "<string>"
}
}
],
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
]
}
]
},
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"details": "<string>"
}
}Dev - Licenses
Get License by ID
Retrieve a specific license by its unique identifier.
GET
/
api
/
v1
/
dev
/
teams
/
{teamId}
/
licenses
/
id
/
{licenseId}
Get License by ID
curl --request GET \
--url https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"licenseKey": "<string>",
"suspended": true,
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"ipLimit": 1,
"hwidLimit": 2,
"expirationDate": "2023-11-07T05:31:56Z",
"expirationDays": 2,
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
],
"lastActiveAt": "2023-11-07T05:31:56Z",
"customers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"fullName": "<string>",
"username": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
],
"address": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postalCode": "<string>"
},
"discordAccount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discordId": "<string>",
"username": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatar": "<string>"
}
}
],
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"metadata": [
{
"key": "<string>",
"value": "<string>",
"locked": true
}
]
}
]
},
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"details": "<string>"
}
}Authorizations
API key authentication for development endpoints.
You can create API keys in your team's settings on the Lukittu dashboard.
Include the API key in the Authorization header as: Bearer YOUR_API_KEY
Example:
Authorization: Bearer lukittu_api_key_abc123def456...Path Parameters
Your team's UUID. You can find this value in your team's settings on the Lukittu dashboard. UUID v4 identifier
The unique identifier (UUID v4) of the license. UUID v4 identifier
⌘I